# Read Record

**Read record for an application using record id:**

URL : `/api/v1/app/{app_id}/record/{record_id}`\
Method : `GET`

### Parameters

*`access_token`* **(required, header parameter)**\
Send this as header – e.g.*“Authorization: Bearer access\_token”*

*`app_id`* **(required, path parameter)**\
Application Id App for where the record is present

*`record_id`* **(required, path parameter)**\
ID of the record you want to fetch

### Sample Request

`curl -H "Authorization: Bearer {access_token}" https://my.worksmart.app/api/v1/app/1234/record/1`

### Sample Response

```
{
   "data":{
      "f1":"Test Record"
   },
   "metadata":[
      {
         "app_id":"1234",
         "field_id":"f1",
         "field_name":"Test Field",
         "field_description":"",
         "type":"0",
         "type_name":"Text Field",
         "position":"3",
         "required":"1"
      }
   ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.workdigital.io/web-api/records/read-record.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
